Subject: Re: bug#5977: 24.0.50; Lao HELLO is incorrectly displayed

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 May 2010 12:41:36 +0300

> Cc: [email-masked]
> From: Peter Dyballa <[email-masked]>
> Date: Sun, 25 Apr 2010 11:01:35 +0200
> 
> 
> Am 24.04.2010 um 18:01 schrieb Eli Zaretskii:
> 
> >> The NS variant, although rendering really beautifully, shows with Lao
> >> the same effects:
> >>
> >>  • entering the string by cursor movement no change in shape
> >>  • entering by clicking with mouse or trackpad leads to shape  
> >> changes
> >>  • entering by clicking with mouse or trackpad "creates" the same
> >> characters which swallow cursor movement
> >>  • C-e somewhere on Lao line sends point to empty line over title
> >> "LANGUAGE (NATIVE NAME)...."
> >
> > I don't see this effect on MS-Windows.  Can you try with revno 100027
> > or later?
> 
> In the X client the latter has changed. End of the line is on the same  
> line. Still when clicking onto the first or third character of the  
> left Lao greeting creates swallowing characters. Clicking into the  
> strings produces shape changes.
> 
> >
> >> Clicking into the Braille "Hello" does not change the Burmese  
> >> greeting
> >> below and the Burmese comment visibly but change the empty box on the
> >> Arabic line into "n" *only* when I click on a new/different than
> >> before character... The exactly same effect when clicking onto *any*
> >> character!
> >
> > I don't see this, either.  Again, please try with revno 100027 or
> > later, if you haven't already.
> 
> Subtle changes of the "space" between (22, 11)/(22, 12) and (22, 33)/ 
> (22, 34) still exist when clicking on Braille characters. Also when  
> clicking into Telugu greeting in header.
> 
> Clicking into the Arabic or Hebrew (NATIVE NAME) comments moves the  
> coagulated greetings into the right column. Same when clicking into  
> their and the left parts (thirds) of Tibetan greetings or (9, 33)  
> Telugu example in the header.
> 
> When clicking into left half of Thai example in header the Hebrew line  
> is restored as left and right table cell.
> 
> clicking on (11, 44), Korean 하, merges Arabic and Bengali lines below  
> to one with roughly two columns, the right one far out.
> 
> "East Asia" line: Clicking on the Chinese BIG-5 example 早晨 makes  
> either Arabic line be correct with left and right cell or shifts the  
> greeting partly into the comment. The Chinese GB2312 example only  
> corrects Arabic and additionally adds a small bit of space into  
> Burmese comment and name, as described for clicking into Braille. The  
> SPACEs and COMMA near Chinese examples also change display of Arabic.
> 
> On "CJK variety" line each element of this copy "GB(元气,开发),  
> " (including the SPACE before the word BIG5) changes display of Arabic  
> (mostly establishes the two column view).
> 
> 
> Is this magic?

Please re-test with the latest trunk.  It looks like Handa-san's
changes in revno 100276 fixed at least some of these problems (those I
was able to see on MS-Windows).